.;+ BRUSYS - BUILD STAND ALONE BACKUP SYSTEM
.;	REF: MULTITASKER VOL 13, NO 5, PAGE 219
.;
	.ENABLE SUBSTITUTION
;
; BEGIN STAND ALONE BRU BUILD
;
	.SETS UIC <UIC>
	SET /UIC='<SYSUIC>'
	.ASKS[2:2] DISK Enter Disk type [DP,DB...]
	.ASKS[2:2] TAPE Enter Tape type [MT,MM...]
	.ASKN[0:7] TAPENO Enter tape unit number for BOOTable system
	.ASKN MAXTT Enter Max Terminal Unit Number
.;
	PIP BRU.SYS/CO/NV/BL:258.=RSX11M.TSK
	PIP BRU.STB/NV=RSX11M.STB
	.OPEN BRUSYSVMR.CMD
	.ENABLE DATA
BRU
TIME	'<DATE>' '<TIME>'
SET /UIC='<SYSUIC>'
SET /POOL=1000
SET /MAIN=TTPAR:*:200:TASK
LOAD TT:
SET /MAIN=DRVPAR:*:*:SYS
LOAD 'DISK':
LOAD 'TAPE':
.DISABLE DATA
	; Enter any other devices needed (<CR> when done)
.DEVLOP:
	.ASKS DEV Device
	.IF <STRLEN> EQ 0 .GOTO NOMORE
	.IF <STRLEN> EQ 2 .DATA LOAD 'DEV':
	.IF <STRLEN> EQ 3 .DATA LOAD 'DEV'
	.GOTO DEVLOP
.NOMORE:
.ENABLE DATA
SET /TOP=DRVPAR:-*
SET /MAIN=BRUPAR:*:1777:TASK
INS BRU/PAR=BRUPAR/CKP=NO
FIX ...BRU
RUN ...BRU 1T/RSI=1S
SET /NOCRT=TT0:
SET /LOWER=TT0:
.DISABLE DATA
	.SETN N 0
.TTLOOP:
	.DATA SET /SLAVE=TT'N':
	.INC N
	.IF N LE MAXTT .GOTO TTLOOP:
.ENABLE DATA
!
PAR
TAS
CLQ
!
SAVE 'TAPE''TAPENO':BRUSYS
!
.DISABLE DATA
.CLOSE
.IFNINS VMR INS $VMR
PIP TI:=BRUSYSVMR.CMD
VMR @BRUSYSVMR
SET /UIC='UIC'
;
; END OF STAND ALONE BRU BUILD
;

